org.apache.commons.codec.language.bm

## Class Rule.PhonemeList

- java.lang.Object
- - org.apache.commons.codec.language.bm.Rule.PhonemeList

- All Implemented Interfaces:
    Rule.PhonemeExpr
  Enclosing class:
    Rule

      public static final class Rule.PhonemeList
      extends Object
      implements Rule.PhonemeExpr

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rule.PhonemeList(List<Rule.Phoneme> phonemes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Rule.Phoneme>` | `getPhonemes()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Rule.PhonemeList

          public Rule.PhonemeList(List<Rule.Phoneme> phonemes)

  - ### Method Detail

    - #### getPhonemes

          public List<Rule.Phoneme> getPhonemes()

      Specified by:
        `getPhonemes` in interface `Rule.PhonemeExpr`

Copyright © 2002-2013 The Apache Software Foundation. All Rights Reserved.